Uploaded image for project: 'Puppet'
  1. Puppet
  2. PUP-4076

Remove the 'allow_virtual' warning in the 3.x series

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Normal
    • Resolution: Done
    • Affects Version/s: None
    • Fix Version/s: PUP 3.7.5
    • Component/s: Docs
    • Labels:
      None
    • Template:
    • Story Points:
      2
    • Sprint:
      Client 2015-03-18

      Description

      n Puppet 4, the package type's allow_virtual setting will be true by
      default. In commit 3f6d7ca, this change was made and the deprecation
      warning for allow_virtual was removed in master. However, many have
      found the deprecation warning to be disruptive in the 3.x series, so
      this commit removes it. We will deprecate in docs instead.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                Unassigned
                Reporter:
                kylo Kylo Ginsberg
              • Votes:
                0 Vote for this issue
                Watchers:
                5 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:

                  Zendesk Support